Bug 9145 - [modesetting] exiting the last app crashes nude xserver
[modesetting] exiting the last app crashes nude xserver
Status: VERIFIED FIXED
Product: xorg
Classification: Unclassified
Component: Driver/intel
7.2 (2007.02)
x86 (IA32) Linux (All)
: high normal
Assigned To: Eric Anholt
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-24 00:43 UTC by Shuang He
Modified: 2006-12-30 22:51 UTC (History)
1 user (show)

See Also:


Attachments
X conf file (2.76 KB, text/plain)
2006-11-24 00:45 UTC, Shuang He
no flags Details
X server log (57.30 KB, text/plain)
2006-11-24 00:45 UTC, Shuang He
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Shuang He 2006-11-24 00:43:39 UTC
--Architecture(ia32,ia32e,compatiblity): ia32, ia32e
--2D driver: git modesetting branch(816fc1a76a5ac738e41b172ba8f43137c1521328)
--Xorg: 7.1
  xserver:
   git randr-1.2-for-server-1.2 branch(2953ef0c049faa55e44d741f30ff0ee5510bb7be)
--Mesa: CVS tip
--OS: FC5
--Kernel: 2.6.19-rc3

Note: this issue happens on 965g, 945g, and 915gv platforms.

1.Start a X server
2.run the xterm
3.and when exit from xterm
4.the X server will crash with following output:
Backtrace:
0: X(xf86SigHandler+0x81) [0x80b6c51]
1: [0xb7f53420]
2: /opt/X11R7/lib/xorg/modules/drivers//i810_drv.so [0xb7dc76b8]
3:
/opt/X11R7/lib/xorg/modules/drivers//i810_drv.so(I830RandRCreateScreenResources+0x2a7)
[0xb7dc84a7]
4: /opt/X11R7/lib/xorg/modules/drivers//i810_drv.so [0xb7db069c]
5: X(main+0x305) [0x806eef5]
6: /lib/libc.so.6(__libc_start_main+0xdc) [0x9be7e4]
7: X(FontFileCompleteXLFD+0xa1) [0x806e3b1]

Fatal server error:
Caught signal 11.  Server aborting
Comment 1 Alan Hourihane 2006-11-24 00:44:59 UTC
Reassiging to Eric as he's the maintainer of the modesetting branch.
Comment 2 Shuang He 2006-11-24 00:45:07 UTC
Created attachment 7888 [details]
X conf file
Comment 3 Shuang He 2006-11-24 00:45:40 UTC
Created attachment 7889 [details]
X server log
Comment 4 Keith Packard 2006-12-04 17:59:37 UTC
RandR structures weren't getting recreated on regen as they are currently
created in the PreInit function which isn't called at that time. Fixed it by
re-creating them at regen time in the ScreenInit function.
Comment 5 xuji 2006-12-06 21:54:16 UTC
some extra problem emerged

--2D driver: git modesetting branch(182d2f503a7a1be90d93a4a15059585a564fd3ce)
--xserver:   git randr-1.2-for-server-1.2 branch(
66b6358a393972946f16394918db2401c51dc5ed)

on g965 945gm 915gm platforms:

1.Start a X server
2.run the xterm
3.and when exit from xterm
4.the X server still alive but DRI is disabled with following output:
Backtrace:
[root@x-945gm at]# xterm &
[2] 20091
[root@x-945gm at]# pkill xterm
[2]+  Exit 15                 xterm
[root@x-945gm at]# FreeFontPath: FPE "unix/:7100" refcount is 2, should be 1; 
fixing.
(EE) I810(0): [dri] DRIScreenInit failed. Disabling DRI.
chosen: dotclock 65142 vco 1824000 ((m 95, m1 15, m2 8), n 3, (p 28, p1 2, p2 
14))
clock regs: 0x18020000, 0x00030f08
chosen: dotclock 107520 vco 2150400 ((m 112, m1 19, m2 5), n 3, (p 20, p1 2, 
p2 10))
clock regs: 0x54020000, 0x00031305
(EE) AIGLX: Screen 0 is not DRI capable





Comment 6 Eric Anholt 2006-12-08 00:20:13 UTC
This bug is about crashing of the X Server when the last application exits.  You
appear to be reporting a totally different bug, of the DRI not reinitializing
after server regeneration.  Re-closing -- please open a new bug if you aren't
experiencing the specific bug in this report.